Index: ChangeLog
===================================================================
--- ChangeLog	(Revision 1362)
+++ ChangeLog	(Revision 1363)
@@ -1,3 +1,8 @@
+2006-11-20  Matthias Wimmer  <m@tthias.eu>
+
+    * xdb_sql/xdb_sql.cc: fixing big bug introduced with the latest change
+    	that my cause crashes of jabberd14
+
 2006-11-19  Matthias Wimmer  <m@tthias.eu>
 
     * jsm/modules/mod_register.c: improved error message
Index: xdb_sql/xdb_sql.cc
===================================================================
--- xdb_sql/xdb_sql.cc	(Revision 1362)
+++ xdb_sql/xdb_sql.cc	(Revision 1363)
@@ -85,6 +85,16 @@
  * structure that holds the data used by xdb_sql internally
  */
 typedef struct xdbsql_struct {
+    xdbsql_struct() :
+#ifdef HAVE_MYSQL
+	use_mysql(0), mysql(NULL), mysql_user(NULL), mysql_password(NULL), mysql_host(NULL),
+	mysql_database(NULL), mysql_port(0), mysql_socket(NULL), mysql_flag(0),
+#endif
+#ifdef HAVE_POSTGRESQL
+	use_postgresql(0), postgresql(NULL), postgresql_conninfo(NULL),
+#endif
+	onconnect(NULL), namespace_prefixes(NULL), std_namespace_prefixes(NULL) {};
+
     std::map<std::string, _xdbsql_ns_def > namespace_defs; /**< definitions of queries for the different namespaces */
     char	*onconnect;		/**< SQL query that should be executed after we connected to the database server */
     xht		namespace_prefixes;	/**< prefixes for the namespaces (key = prefix, value = ns_iri) */
